GeoTessCPP: geotess::OptimizationType Class Reference

GeoTessCPP 2.0.0 Software to facilitate storage and retrieval of 3D information about the Earth.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Friends Macros
Public Member Functions | Static Public Member Functions | Static Public Attributes
geotess::OptimizationType Class Reference

`#include <OptimizationType.h>`

Inheritance diagram for geotess::OptimizationType:

List of all members.

## Public Member Functions
virtual | ~OptimizationType ()
Public Member Functions inherited from geotess::EnumType
virtual | ~EnumType ()
string | toString () const
string | name () const
int | ordinal () const

## Static Public Member Functions
static const OptimizationType * | valueOf (const string &s)
static OptimizationType const *const *const | values ()
static int | size ()

## Static Public Attributes
static const OptimizationType | SPEED
static const OptimizationType | MEMORY
static const OptimizationType * | aArray []

## Additional Inherited Members
Protected Member Functions inherited from geotess::EnumType
| EnumType ()
| EnumType (const EnumType &et)
EnumType & | operator= (const EnumType &et)
| EnumType (const string &name, int ordinal)
Static Protected Member Functions inherited from geotess::EnumType
static const EnumType * | valueOf (const string &s, EnumType const *const *const array, int n)
Protected Attributes inherited from geotess::EnumType
const string | aName
const int | aOrdinal

## Detailed Description

Optimize for speed or memory

## Constructor & Destructor Documentation

virtual geotess::OptimizationType::~OptimizationType | ( |  | ) |
| inlinevirtual

Standard Destructor.

## Member Function Documentation

static int geotess::OptimizationType::size | ( |  | ) |
| inlinestatic

Returns the total number of enums of this type.

static const OptimizationType* geotess::OptimizationType::valueOf | ( | const string & | s | ) |
| inlinestatic

        Assignment Operator.

Returns a pointer to the enum whose string matches the input string. If no match is found null is returned.

Parameters:

  s | The input string for which a match in array is returned (or null).

Returns:
  The match of s in the names of array or null if one was not found.

static OptimizationType const* const* const geotess::OptimizationType::values | ( |  | ) |
| inlinestatic

Returns the array of all enums for this type.

## Member Data Documentation

const OptimizationType* geotess::OptimizationType::aArray[]
| static

The array containing all enums declared above.

const OptimizationType geotess::OptimizationType::MEMORY
| static

const OptimizationType geotess::OptimizationType::SPEED
| static

The actual enums for this type.

The documentation for this class was generated from the following file:

- include/OptimizationType.h